Subject: Re: [PATCH v2 net-next 5/5] net: ethernet: mtk_wed: add reset/reset_complete callbacks

From: Lorenzo Bianconi <[email-masked]>
Date: Fri, 6 Jan 2023 10:11:52 +0100

On Jan 05, Jakub Kicinski wrote:
> On Thu, 5 Jan 2023 12:49:49 +0100 Lorenzo Bianconi wrote:
> > > > These callbacks are implemented in the mt76 driver. I have not added these
> > > > patches to the series since mt76 patches usually go through Felix/Kalle's
> > > > trees (anyway I am fine to add them to the series if they can go into net-next
> > > > directly).  
> > > 
> > > Usually patches that use specific functionality are submitted together
> > > with API changes.  
> > 
> > I would say it is better mt76 patches go through Felix/Kalle's tree in order to avoid
> > conflicts.
> > 
> > @Felix, Kalle: any opinions?
> 
> FWIW as long as the implementation is in net-next before the merge
> window I'm fine either way. But it would be good to see the
> implementation, a co-posted RFC maybe?

ack, I will post mt76 series to wireless mailing list just after the new version
of this one.

Regards,
Lorenzo